/*
 * garux.h
 *
 * Linux Loader for the Palm OS.
 *
 * Copyright (C) 2005 Romain Goyet
 * Author: Romain Goyet [r.goyet@gmail.com]
 *
 * Original version by Vinayak R. Borkar [vinayakb@users.sourceforge.net]
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 2 as
 * published by the Free Software Foundation.
 */


/* CAUTION : DO _never_ use the TOKEN below anywhere else in this file
 *  as this TOKEN is going to be dynamically replaced at compile time
 */


#ifndef __LOADLIN_H__
#define __LOADLIN_H__

//UI Definitions :

// Forms
#define MainForm 1000
#define AltForm 1001

//Menu
#define MainMenu 1000

//Menu items
#define MenuAbout 1000
#define MenuQuit 1001

//Alerts
#define StartupAlert 1000

//Buttons
#define LinuxButton 9998
#define PalmOSButton 9999

//Strings
#define GnuGpl 1000
#define kernelDefaultParam 1001

//Fields
#define KernelParam 1000

/* NUM_KERNEL_PAGES is the number of times PAGE_SIZE the kernel
 * will need. This is dynamically calculated at compile time
 */
#define NUM_KERNEL_PAGES TOKEN_TO_REPLACE
#define SIZE_KERNEL KERNEL_TO_REPLACE
#define SIZE_INITRD INITRD_TO_REPLACE
#define PAGE_SIZE 0x8000

#endif
